aboutsummaryrefslogtreecommitdiffstats
path: root/chapter8/binutils.sh
diff options
context:
space:
mode:
Diffstat (limited to 'chapter8/binutils.sh')
-rw-r--r--chapter8/binutils.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/chapter8/binutils.sh b/chapter8/binutils.sh
new file mode 100644
index 0000000..41a99b1
--- /dev/null
+++ b/chapter8/binutils.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+expect -c "spawn ls"
+
+sed -i '/@\tincremental_copy/d' gold/testsuite/Makefile.in
+
+mkdir -v build
+cd build || exit 1
+
+../configure --prefix=/usr \
+ --enable-gold \
+ --enable-ld=default \
+ --enable-plugins \
+ --enable-shared \
+ --disable-werror \
+ --enable-64-bit-bfd \
+ --with-system-zlib
+
+make tooldir=/usr
+
+make tooldir=/usr -j1 install
+
+rm -fv /usr/lib/lib{bfd,ctf,ctf-nobfd,opcodes}.a